ScreenBeanInfo (install4j API)
Description: declaration: package: com.install4j.api.beaninfo, class: ScreenBeanInfo

# Class ScreenBeanInfo

java.lang.Object
java.beans.SimpleBeanInfo
com.install4j.api.beaninfo.Install4JBeanInfo
com.install4j.api.beaninfo.ScreenBeanInfo

All Implemented Interfaces:
  `BeanInfo`

public class ScreenBeanInfo extends Install4JBeanInfo
Base class for screen bean infos.

Using this class is not strictly required. In principle, you could also set values for the `ATTRIBUTE_*` constants in the bean descriptor of an unrelated bean info class.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `ATTRIBUTE_ASSOCIATED_ACTION`
  `static final String`
  `ATTRIBUTE_ASSOCIATED_ACTION_CONDITION_EXPRESSION`
  `static final String`
  `ATTRIBUTE_ASSOCIATED_ACTION_INITIALIZER`
  `static final String`
  `ATTRIBUTE_ASSOCIATED_ACTION_INSERT_FIRST`
  `static final String`
  `ATTRIBUTE_ASSOCIATED_ACTION_TARGET_SCREEN`
  `static final String`
  `ATTRIBUTE_DEFAULT_POST_ACTIVATION_SCRIPT`
  `static final String`
  `ATTRIBUTE_DEFAULT_PRE_ACTIVATION_SCRIPT`
  `static final String`
  `ATTRIBUTE_DEFAULT_QUIT_AFTER_SCREEN`
  `static final String`
  `ATTRIBUTE_DEFAULT_STYLE_NAME`
  `static final String`
  `ATTRIBUTE_FORM_COMPONENT_CUSTOMIZER_PLACEMENT`
  Deprecated.
  no longer used

  ### Fields inherited from class Install4JBeanInfo

  `ATTRIBUTE_BEAN_CATEGORY, ATTRIBUTE_BEAN_INITIALIZER, ATTRIBUTE_BEAN_VALIDATOR, ATTRIBUTE_CATEGORY_SORT_ORDER, ATTRIBUTE_CATEGORY_SORT_ORDER_OTHER_AT_BOTTOM, ATTRIBUTE_COLLAPSED_PROPERTY_CATEGORIES, ATTRIBUTE_CUSTOMIZER_ICON, ATTRIBUTE_CUSTOMIZER_PLACEMENT, ATTRIBUTE_DEFAULT_CONDITION_EXPRESSION, ATTRIBUTE_DEFAULT_ROLLBACK_BARRIER, ATTRIBUTE_DEFAULT_ROLLBACK_BARRIER_EXIT_CODE, ATTRIBUTE_ENUMERATION_MAPPERS, ATTRIBUTE_ICON_16x16, ATTRIBUTE_ICON_24x24, ATTRIBUTE_INSTALLED_FILES_REQUIRED, ATTRIBUTE_MINIMUM_JAVA_VERSION, ATTRIBUTE_MULTIPLE_INSTANCES_SUPPORTED, ATTRIBUTE_NOTICE_PANEL, ATTRIBUTE_PERSISTENCE_DELEGATE_MAP, ATTRIBUTE_PROPERTY_CONVERTERS, ATTRIBUTE_REQUIRED_JPMS_MODULES, ATTRIBUTE_SEQUENCE_VALIDATOR, ATTRIBUTE_SORT_KEY`

  ### Fields inherited from interface BeanInfo

  `ICON_COLOR_16x16, ICON_COLOR_32x32, ICON_MONO_16x16, ICON_MONO_32x32`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ScreenBeanInfo(String displayName, String shortDescription, String category, boolean multipleInstancesSupported, boolean installedFilesRequired, Integer sortKey, Class<? extends Screen> beanClass)`
  Same as `Install4JBeanInfo(String, String, String, boolean, boolean, Integer, Class)`.
  `ScreenBeanInfo(String displayName, String shortDescription, String category, boolean multipleInstancesSupported, boolean installedFilesRequired, Integer sortKey, Class<? extends Screen> beanClass, Class customizerClass)`
  Same as `Install4JBeanInfo(String, String, String, boolean, boolean, Integer, Class, Class)`.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `setAssociatedAction(String actionClassName, String targetScreenClassName)`
  Same as `setAssociatedAction(String, String, boolean, String, ActionInitializer)` with first set to `false`, conditionExpression set to `null` and actionInitializer set to `null`.
  `void`
  `setAssociatedAction(String actionClassName, String targetScreenClassName, boolean addFirst, String conditionExpression, ActionInitializer actionInitializer)`
  Configures an associated action.
  `void`
  `setDefaultPostActivationScript(String defaultPostActivationScript)`
  Configures the default value for the "Post-activation script" property of the bean.
  `void`
  `setDefaultPreActivationScript(String defaultPreActivationScript)`
  Configures the default value for the "Pre-activation script" property of the bean.
  `void`
  `setDefaultQuitAfterScreen(boolean defaultQuitAfterScreen)`
  Configures the default value for the "Quit after screen" property of the screen.
  `void`
  `setDefaultStyleName(String defaultStyleName)`
  Sets a default screen style name.
  `void`
  `setFormComponentCustomizerPlacement(CustomizerPlacement customizerPlacement)`
  Deprecated.
  no longer used

  ### Methods inherited from class Install4JBeanInfo

  `addPropertyDescriptor, checkNotEmpty, checkNotEmpty, findPropertyDescriptor, getBeanClass, getBeanDescriptor, getPropertyDescriptors, getPropertyValue, getPropertyValue, isEmpty, setBeanInitializer, setBeanValidator, setCategorySortOrder, setCategorySortOrderOtherAtBottom, setCollapsedPropertyCategories, setCustomizerIcon, setCustomizerPlacement, setDefaultConditionExpression, setDefaultRollbackBarrier, setDefaultRollbackBarrierExitCode, setEnumerationMappers, setIcons, setMinimumJavaVersion, setNoticePanel, setPersistenceDelegateMap, setPropertyConverters, setRequiredJpmsModules, setSequenceValidator`

  ### Methods inherited from class SimpleBeanInfo

  `getAdditionalBeanInfo, getDefaultEventIndex, getDefaultPropertyIndex, getEventSetDescriptors, getIcon, getMethodDescriptors, loadImage`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### ATTRIBUTE_DEFAULT_QUIT_AFTER_SCREEN

    public static final String ATTRIBUTE_DEFAULT_QUIT_AFTER_SCREEN
    See Also:
      - `setDefaultQuitAfterScreen(boolean)`
      - Constant Field Values

  - ### ATTRIBUTE_FORM_COMPONENT_CUSTOMIZER_PLACEMENT

    @Deprecated public static final String ATTRIBUTE_FORM_COMPONENT_CUSTOMIZER_PLACEMENT
    Deprecated.
    no longer used
    See Also:
      - Constant Field Values

  - ### ATTRIBUTE_ASSOCIATED_ACTION

    public static final String ATTRIBUTE_ASSOCIATED_ACTION
    See Also:
      - `setAssociatedAction(String, String)`
      - Constant Field Values

  - ### ATTRIBUTE_ASSOCIATED_ACTION_TARGET_SCREEN

    public static final String ATTRIBUTE_ASSOCIATED_ACTION_TARGET_SCREEN
    See Also:
      - `setAssociatedAction(String, String, boolean, String, ActionInitializer)`
      - Constant Field Values

  - ### ATTRIBUTE_ASSOCIATED_ACTION_INSERT_FIRST

    public static final String ATTRIBUTE_ASSOCIATED_ACTION_INSERT_FIRST
    See Also:
      - `setAssociatedAction(String, String, boolean, String, ActionInitializer)`
      - Constant Field Values

  - ### ATTRIBUTE_ASSOCIATED_ACTION_INITIALIZER

    public static final String ATTRIBUTE_ASSOCIATED_ACTION_INITIALIZER
    See Also:
      - `setAssociatedAction(String, String, boolean, String, ActionInitializer)`
      - Constant Field Values

  - ### ATTRIBUTE_ASSOCIATED_ACTION_CONDITION_EXPRESSION

    public static final String ATTRIBUTE_ASSOCIATED_ACTION_CONDITION_EXPRESSION
    See Also:
      - `setAssociatedAction(String, String, boolean, String, ActionInitializer)`
      - Constant Field Values

  - ### ATTRIBUTE_DEFAULT_STYLE_NAME

    public static final String ATTRIBUTE_DEFAULT_STYLE_NAME
    See Also:
      - `setDefaultStyleName(String)`
      - Constant Field Values

  - ### ATTRIBUTE_DEFAULT_PRE_ACTIVATION_SCRIPT

    public static final String ATTRIBUTE_DEFAULT_PRE_ACTIVATION_SCRIPT
    See Also:
      - `setDefaultPreActivationScript(String)`
      - Constant Field Values

  - ### ATTRIBUTE_DEFAULT_POST_ACTIVATION_SCRIPT

    public static final String ATTRIBUTE_DEFAULT_POST_ACTIVATION_SCRIPT
    See Also:
      - `setDefaultPostActivationScript(String)`
      - Constant Field Values

- ## Constructor Details

  - ### ScreenBeanInfo

    public ScreenBeanInfo(String displayName, String shortDescription, String category, boolean multipleInstancesSupported, boolean installedFilesRequired, Integer sortKey, Class<? extends Screen> beanClass, Class customizerClass)
    Same as `Install4JBeanInfo(String, String, String, boolean, boolean, Integer, Class, Class)`.

  - ### ScreenBeanInfo

    public ScreenBeanInfo(String displayName, String shortDescription, String category, boolean multipleInstancesSupported, boolean installedFilesRequired, Integer sortKey, Class<? extends Screen> beanClass)
    Same as `Install4JBeanInfo(String, String, String, boolean, boolean, Integer, Class)`.

- ## Method Details

  - ### setDefaultQuitAfterScreen

    public void setDefaultQuitAfterScreen(boolean defaultQuitAfterScreen)
    Configures the default value for the "Quit after screen" property of the screen.
    Parameters:
      `defaultQuitAfterScreen` - the default value

  - ### setFormComponentCustomizerPlacement

    @Deprecated public void setFormComponentCustomizerPlacement(CustomizerPlacement customizerPlacement)
    Deprecated.
    no longer used

  - ### setAssociatedAction

    public void setAssociatedAction(String actionClassName, String targetScreenClassName)
    Same as `setAssociatedAction(String, String, boolean, String, ActionInitializer)` with first set to `false`, conditionExpression set to `null` and actionInitializer set to `null`.

  - ### setAssociatedAction

    public void setAssociatedAction(String actionClassName, String targetScreenClassName, boolean addFirst, String conditionExpression, ActionInitializer actionInitializer)
    Configures an associated action. If set, and the user adds the action, the install4j GUI checks if an instance of the specified action is present in the list of configured actions on any screen. If not, it will remind the user to add such an action or propose to add the action immediately, depending on whether `targetScreenClassName` is `null`.
    Parameters:
      `actionClassName` - the class of the associated action
      `targetScreenClassName` - the target screen. If non-null, the install4j GUI will propose to add the associated action to the target screen if it cannot already be found on any screen.
      `addFirst` - If targetScreenClassName is non-null, and the action is inserted, it will be inserted as the first action
      `actionInitializer` - an initializer that configures the added action

  - ### setDefaultStyleName

    public void setDefaultStyleName(String defaultStyleName)
    Sets a default screen style name. If set, the install4j GUI checks if a style with the corresponding name is available and sets that screen style for the screen.
    Parameters:
      `defaultStyleName` - the default screen style name

  - ### setDefaultPreActivationScript

    public void setDefaultPreActivationScript(String defaultPreActivationScript)
    Configures the default value for the "Pre-activation script" property of the bean.
    Parameters:
      `defaultPreActivationScript` - the default value
    See Also:
      - `ATTRIBUTE_DEFAULT_PRE_ACTIVATION_SCRIPT`

  - ### setDefaultPostActivationScript

    public void setDefaultPostActivationScript(String defaultPostActivationScript)
    Configures the default value for the "Post-activation script" property of the bean.
    Parameters:
      `defaultPostActivationScript` - the default value
    See Also:
      - `ATTRIBUTE_DEFAULT_POST_ACTIVATION_SCRIPT`